"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var screen_type_1 = require("./screen-type");
var Horizontal = /** @class */ (function () {
    function Horizontal() {
    }
    Horizontal.getData = function () {
        var width = this.getWidth();
        return {
            width: width,
            screenType: this.getType(width)
        };
    };
    Horizontal.getType = function (width) {
        if (!width) {
            width = this.getWidth();
        }
        // @ts-ignore
        if (width < this.defaults.screenType.xs) {
            return screen_type_1.ScreenType.XS;
        }
        // @ts-ignore
        else if (width < this.defaults.screenType.sm) {
            return screen_type_1.ScreenType.SM;
        }
        // @ts-ignore
        else if (width < this.defaults.screenType.md) {
            return screen_type_1.ScreenType.MD;
        }
        return screen_type_1.ScreenType.LG;
    };
    Horizontal.setDefaults = function (xs, sm, md) {
        this.defaults.screenType.xs = xs || this.defaults.screenType.xs;
        this.defaults.screenType.sm = sm || this.defaults.screenType.sm;
        this.defaults.screenType.xs = md || this.defaults.screenType.md;
    };
    Horizontal.getWidth = function () {
        var e = window, a = 'inner';
        if (!('innerWidth' in window)) {
            a = 'client';
            e = document.documentElement || document.body;
        }
        return e[a + 'Width'];
    };
    Horizontal.defaults = {
        screenType: {
            xs: 576,
            sm: 768,
            md: 1200,
        }
    };
    return Horizontal;
}());
exports.Horizontal = Horizontal;
